| Crypto-3.0.3: DES, Blowfish, AES, SHA1, MD5, RSA, X.509 Identity and Attribute Certificates, General ASN.1 Support, Base64, PKCS8, PKCS1v15, Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5 Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package. | Contents | Index
Codec.ASN1.X509.AttributeCertificateDefinitions |
Portability | non-portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Type declarations Function declarations
Description
Definitions to allow the typechecking of (BER) encodings of definitions from AttributeCertificateDefinitions {joint-iso-itu-t ds(5) module(1) attributeCertificateDefinitions(32) 5} and functions to extract information from encodings of them. See http://www.itu.int/ITU-T/asn1/database/itu-t/x/x509/2005/AttributeCertificateDefinitions.html
Synopsis
data AttributeCertificate = AttributeCertificate {
attributeCertificateInfo1 :: AttributeCertificateInfo
algorithmIdentifier2 :: AlgorithmIdentifier
encrypted :: BitString
}
data AttributeCertificateInfo = AttributeCertificateInfo {
version1 :: Version
holder1 :: Holder
issuer2 :: AttCertIssuer
signature1 :: AlgorithmIdentifier
serialNumber1 :: CertificateSerialNumber
attrCertValidityPeriod :: AttCertValidityPeriod
attributes :: [Attribute]
}
data Holder = Holder {
entityName :: (Maybe HolderGeneralNames)
}
data HolderGeneralNames = HolderGeneralNames GeneralNames
data AttCertIssuer = AttCertIssuer {
issuerName :: (Maybe GeneralNames)
baseCertificateID :: (Maybe IssuerSerial)
}
data IssuerSerial = IssuerSerial {
issuer1 :: GeneralNames
serial :: CertificateSerialNumber
issuerID :: (Maybe UniqueIdentifier)
}
data Attribute = Attribute {
attributeType :: OID
attributeValues :: (SetOf AttributeValue)
}
data AttributeValue = AVPS PrintableString
data AttCertValidityPeriod = AttCertValidityPeriod {
notBeforeTime :: GeneralizedTime
notAfterTime :: GeneralizedTime
}
data GeneralizedTime = GeneralizedTime VisibleString
attributeCertificate :: TypeDefn
attCertIssuer :: TypeDefn
attribute :: TypeDefn
Type declarations
data AttributeCertificate
Constructors
AttributeCertificate |
attributeCertificateInfo1 :: AttributeCertificateInfo |
algorithmIdentifier2 :: AlgorithmIdentifier |
encrypted :: BitString |
Instances
Encode AttributeCertificate
Eq AttributeCertificate
Show AttributeCertificate
data AttributeCertificateInfo
Constructors
AttributeCertificateInfo |
version1 :: Version |
holder1 :: Holder |
issuer2 :: AttCertIssuer |
signature1 :: AlgorithmIdentifier |
serialNumber1 :: CertificateSerialNumber |
attrCertValidityPeriod :: AttCertValidityPeriod |
attributes :: [Attribute] |
Instances
Encode AttributeCertificateInfo
Eq AttributeCertificateInfo
Show AttributeCertificateInfo
data Holder
Constructors
Holder |
entityName :: (Maybe HolderGeneralNames) |
Instances
Encode Holder
Eq Holder
Show Holder
data HolderGeneralNames
Constructors
HolderGeneralNames GeneralNames |
Instances
Encode HolderGeneralNames
Eq HolderGeneralNames
Show HolderGeneralNames
data AttCertIssuer
Constructors
AttCertIssuer |
issuerName :: (Maybe GeneralNames) |
baseCertificateID :: (Maybe IssuerSerial) |
Instances
Encode AttCertIssuer
Eq AttCertIssuer
Show AttCertIssuer
data IssuerSerial
Constructors
IssuerSerial |
issuer1 :: GeneralNames |
serial :: CertificateSerialNumber |
issuerID :: (Maybe UniqueIdentifier) |
Instances
Encode IssuerSerial
Eq IssuerSerial
Show IssuerSerial
data Attribute
Constructors
Attribute |
attributeType :: OID |
attributeValues :: (SetOf AttributeValue) |
Instances
Encode Attribute
Eq Attribute
Show Attribute
data AttributeValue
Constructors
AVPS PrintableString |
Instances
Encode AttributeValue
Eq AttributeValue
Show AttributeValue
data AttCertValidityPeriod
Constructors
AttCertValidityPeriod |
notBeforeTime :: GeneralizedTime |
notAfterTime :: GeneralizedTime |
Instances
Encode AttCertValidityPeriod
Eq AttCertValidityPeriod
Show AttCertValidityPeriod
data GeneralizedTime
Constructors
GeneralizedTime VisibleString |
Instances
Encode GeneralizedTime
Eq GeneralizedTime
Show GeneralizedTime
Function declarations
attributeCertificate :: TypeDefn
attCertIssuer :: TypeDefn
attribute :: TypeDefn
Produced by Haddock version 0.8